# ZXY

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /zxy/{layer}/{z}/{x}/{y}.png

> Access and download data for a specific tile

```json
{"openapi":"3.0.1","info":{"title":"OS Maps API","version":"v1.0"},"tags":[{"name":"Tile Request","description":"Access and download data for a specific tile"}],"servers":[{"url":"https://api.os.uk/maps/raster/v1"}],"security":[{"api-key":[],"api-key-header":[],"oauth2":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","name":"key","in":"query"}}},"paths":{"/zxy/{layer}/{z}/{x}/{y}.png":{"get":{"tags":["Tile Request"],"summary":"Access and download data for a specific tile","operationId":"getZXYTileData","parameters":[{"name":"layer","in":"path","description":"The tile set layer that will be requested.","required":true,"schema":{"type":"string","enum":["Road_27700","Road_3857","Outdoor_27700","Outdoor_3857","Light_27700","Light_3857","Leisure_27700"]}},{"name":"z","in":"path","description":"Zoom level","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","description":"X coordinate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","description":"Y coordinate","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Tile image retrieved successfully","content":{"image/png":{}}}}}}}}
```

### Example Request

{% code overflow="wrap" fullWidth="false" %}

```url
https://api.os.uk/maps/raster/v1/zxy/Outdoor_27700/7/323/489.png?key=INSERT_API_KEY
```

{% endcode %}
